/[gentoo-x86]/eclass/autotools.eclass
Gentoo

Diff of /eclass/autotools.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.66 Revision 1.67
1# Copyright 1999-2007 Gentoo Foundation 1# Copyright 1999-2007 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.66 2007/05/30 15:45:01 cardoe Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.67 2007/09/17 23:15:51 vapier Exp $
4# 4#
5# Maintainer: base-system@gentoo.org 5# Maintainer: base-system@gentoo.org
6# 6#
7# This eclass is for handling autotooled software packages that 7# This eclass is for handling autotooled software packages that
8# needs to regenerate their build scripts. 8# needs to regenerate their build scripts.
16 16
17_automake_atom="sys-devel/automake" 17_automake_atom="sys-devel/automake"
18_autoconf_atom="sys-devel/autoconf" 18_autoconf_atom="sys-devel/autoconf"
19if [[ -n ${WANT_AUTOMAKE} ]]; then 19if [[ -n ${WANT_AUTOMAKE} ]]; then
20 case ${WANT_AUTOMAKE} in 20 case ${WANT_AUTOMAKE} in
21 # workaround while we have different versions of automake in arch and ~arch
22 none) _automake_atom="" ;; # some packages don't require automake at all 21 none) _automake_atom="" ;; # some packages don't require automake at all
23 latest) _automake_atom="=sys-devel/automake-1.10*" ;; 22 latest) _automake_atom="=sys-devel/automake-1.10*" ;;
24 *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;; 23 *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;;
25 esac 24 esac
26 [[ ${WANT_AUTOMAKE} == "latest" ]] && WANT_AUTOMAKE="1.10" 25 [[ ${WANT_AUTOMAKE} == "latest" ]] && WANT_AUTOMAKE="1.10"
27 export WANT_AUTOMAKE 26 export WANT_AUTOMAKE
28fi 27fi
29 28
30if [[ -n ${WANT_AUTOCONF} ]] ; then 29if [[ -n ${WANT_AUTOCONF} ]] ; then
31 case ${WANT_AUTOCONF} in 30 case ${WANT_AUTOCONF} in
31 none) _autoconf_atom="" ;; # some packages don't require autoconf at all
32 2.1) _autoconf_atom="=sys-devel/autoconf-${WANT_AUTOCONF}*" ;; 32 2.1) _autoconf_atom="=sys-devel/autoconf-${WANT_AUTOCONF}*" ;;
33 latest | 2.5) _autoconf_atom=">=sys-devel/autoconf-2.59" ;; 33 latest|2.5) _autoconf_atom=">=sys-devel/autoconf-2.61" ;;
34 *) _autoconf_atom=">=sys-devel/autoconf-FAIL" ;;
34 esac 35 esac
35 [[ ${WANT_AUTOCONF} == "latest" ]] && WANT_AUTOCONF="2.5" 36 [[ ${WANT_AUTOCONF} == "latest" ]] && WANT_AUTOCONF="2.5"
36 export WANT_AUTOCONF 37 export WANT_AUTOCONF
37fi 38fi
38DEPEND="${_automake_atom} 39DEPEND="${_automake_atom}

Legend:
Removed from v.1.66  
changed lines
  Added in v.1.67

  ViewVC Help
Powered by ViewVC 1.1.20